> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post advicecommandsadd advice



## OpenAPI

````yaml /api-reference/oda-news-service-1.0.0.yml post /advice/commands/add-advice
openapi: 3.0.1
info:
  title: ODA News Service
  description: News Service API
  contact:
    name: stCarolas
    email: stcarolas@gmail.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.en.html
  version: 1.0.0
servers: []
security: []
paths:
  /advice/commands/add-advice:
    post:
      operationId: addAdvice
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddAdvice.AddAdviceCommand'
        required: true
      responses:
        '200':
          description: addAdvice 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdviceDto'
components:
  schemas:
    AddAdvice.AddAdviceCommand:
      required:
        - text
      type: object
      properties:
        text:
          type: string
    AdviceDto:
      required:
        - id
        - text
      type: object
      properties:
        id:
          type: string
        text:
          type: string

````